Create skill grant
curl --request POST \
--url https://api.omnara.com/v1/orgs/{orgID}/skills/{skillID}/grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_project_id": "<string>"
}
'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/skills/{skillID}/grants"
payload = { "target_project_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_project_id: '<string>'})
};
fetch('https://api.omnara.com/v1/orgs/{orgID}/skills/{skillID}/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"org_id": "<string>",
"skill_id": "<string>",
"target_project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Skills
Create skill grant
POST
/
orgs
/
{orgID}
/
skills
/
{skillID}
/
grants
Create skill grant
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^skl_[a-z2-7]{26}$Body
application/json
Pattern:
^proj_[a-z2-7]{26}$⌘I